---
wsId: BuyCoinsPro
title: Buycoins Pro - The fastest way to trade crypto
altTitle: 
authors:
- danny
users: 1000
appId: africa.buycoins.buycoinsx.pro
appCountry: us
released: 2021-04-16
updated: 2022-05-18
version: 1.1.85
stars: 3.8
ratings: 102
reviews: 4
size: 29M
website: https://pro.buycoins.africa
repository: 
issue: 
icon: africa.buycoins.buycoinsx.pro.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-11-15
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from: 

---

This app is related to:

{% include walletLink.html wallet='android/africa.buycoins.buycoinsx.basic' verdict='true' %}

## App Description

Buy, trade, send, receive cryptocurrencies.

It is possible to withdraw Naira.

Buy Coins Pro includes an cryptocurrency exchange with NGNT (Nigerian Naira Token)

## The Site

[Buy Coins Pro has the ability to freeze funds of the user (Terms and Conditions)](https://pro.buycoins.africa/terms)

> We reserve the right to cancel and/or suspend your Buycoins Pro Account and/or block transactions or freeze funds immediately and without notice if we determine, in our sole discretion, that your Account is associated with a Prohibited Use and/or a Prohibited Business.

## The App

To get started using Buycoins Pro you'll first need to add a bank account. This account will be used for Naira Deposits and Withdrawals.

We downloaded and registered on the service. Before we could use any of the features, the app informed us that we needed to complete:

- level 1 verification to send coins
- level 2 to buy bitcoin

## Verdict

Services that prompt users to pass verification levels and which involves adding a bank account are often custodial in nature. We were not able to find Bitcoin wallet features that allow backing up the wallet as this app treats the user relationship as an "account".

The ability to restrict usage and freeze the funds of the user is also clear evidence that this is a **custodial** account. This makes the app **not verifiable.**
